# Class CIM_StorageHardwareID
extends CIM_Identity

CIM_StorageHardwareID is a hardware ID that serves as an authorization subject. Example are host controller IDs that serve as authorization subjects in disk array LUN Masking.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Identity
|
+--CIM_StorageHardwareID

## Direct Known Subclasses

CIM_GatewayPathID

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_StorageHardwareID is a hardware ID that serves as an authorization subject. Example are host controller IDs that serve as authorization subjects in disk array LUN Masking.
UMLPackagePath | string | CIM::User::StorageHardwareID
Version | string | 2.35.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IDType | uint16 |
Description | string | The type of the ID property. iSCSI IDs may use one of three iSCSI formats - iqn, eui, or naa. This three letter format is the name prefix; so a single iSCSI type is provided here, the prefix can be used to further refine the format.
ModelCorrespondence | string | CIM_StorageHardwareID.StorageID
Required | boolean | true
ValueMap | string | 1, 2, 3, 4, 5, 6, 7
Values | string | Other, PortWWN, NodeWWN, Hostname, iSCSI Name, SwitchWWN, SAS Address
OtherIDType | string |
Description | string | The ID type when IDType is "Other".
StorageID | string |
Description | string | The hardware worldwide unique ID.
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_StorageHardwareID.IDType
Required | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CurrentlyAuthenticated | boolean | CIM_Identity
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_Identity

## Class Methods